using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    [Table("bs_inspection_org_dir_detail")]
    [Comment("名录详情")]
    public class BsInspectionOrgDirDetail : Core.DEntityBase
    {
        [Comment("名录Id")]
        [MaxLength(36)]
        [Required]
        public string StageId { get; set; }

        [Comment("机构Id")]
        [MaxLength(36)]
        [Required]
        public string OrgId { get; set; }

        [Comment("评分")]
        [Required]
        public int Score { get; set; }

        [Comment("评分结果 1优秀 2合格 3警告 4除名")]
        [Required]
        public int ScoreResult { get; set; }
    }
}
